Subject: Re: [take19 1/4] kevent: Core files.

From: Eric Dumazet <[email-masked]>
Date: Wed, 18 Oct 2006 06:45:35 +0200

Evgeniy Polyakov a e'crit :
> On Tue, Oct 17, 2006 at 06:45:54PM +0200, Eric Dumazet ([email-masked]) wrote:
>> I am not sure I understand what you wrote, English is not our native language.
>>
>> I think many people gave you feedbacks. I feel that all feedback on this 
>> mailing list is constructive. Many posts/patches on this list are never 
>> commented at all.
> 
> And I do greatly appreciate feedback from those people!
> 
> But I do not understand why I never got feedback on initial design and
> implementation (and then created as far as I recall at least 10
> releases) from Ulrich, who first asked for such a feture. 
> So right now I'm waiting for his opinion on that problem, even if it will 
> be 'it sucks' again, but at least in that case I will not waste people's time.
> 
> Ulrich, could you please comment on design notes sent couple of mail
> above?

Ulrich is a very busy man. We have to live with that.

<rant_mode>
For example, I *complained* one day, that each glibc fopen()/fread()/fclose() 
pass does a mmap()/munmap() to obtain a single 4KB of memory, without any 
cache mechanism. This badly hurts performance of multi-threaded programs as we 
know mmap()/munmap() has to down_write(&mm->mmap_sem); and play VM games.

So to avoid this, I manually call setvbuf() in my own programs, to provide a 
suitable buffer to glibc, because of its suboptimal default allocation, 
vestige of an old epoch...
</rant_mode>

Eric